Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.26.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
36.26.0.0
Broadcast address
36.26.63.255
First usable
36.26.0.1
Last usable
36.26.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 241A0000 · Integer 605683712 to 605700095
Reverse DNS zones
0.26.36.in-addr.arpa
1.26.36.in-addr.arpa
2.26.36.in-addr.arpa
3.26.36.in-addr.arpa
4.26.36.in-addr.arpa
5.26.36.in-addr.arpa
6.26.36.in-addr.arpa
7.26.36.in-addr.arpa
8.26.36.in-addr.arpa
9.26.36.in-addr.arpa
10.26.36.in-addr.arpa
11.26.36.in-addr.arpa
12.26.36.in-addr.arpa
13.26.36.in-addr.arpa
14.26.36.in-addr.arpa
15.26.36.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.00011010.00000000.0000000036.26.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00100100.00011010.00000000.0000000036.26.0.0
Broadcast00100100.00011010.00111111.1111111136.26.63.255
Split into smaller subnets/26

36.26.0.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.26.0.0/2636.26.0.1 to 36.26.0.6236.26.0.6362
236.26.0.64/2636.26.0.65 to 36.26.0.12636.26.0.12762
336.26.0.128/2636.26.0.129 to 36.26.0.19036.26.0.19162
436.26.0.192/2636.26.0.193 to 36.26.0.25436.26.0.25562
536.26.1.0/2636.26.1.1 to 36.26.1.6236.26.1.6362
636.26.1.64/2636.26.1.65 to 36.26.1.12636.26.1.12762
736.26.1.128/2636.26.1.129 to 36.26.1.19036.26.1.19162
836.26.1.192/2636.26.1.193 to 36.26.1.25436.26.1.25562
936.26.2.0/2636.26.2.1 to 36.26.2.6236.26.2.6362
1036.26.2.64/2636.26.2.65 to 36.26.2.12636.26.2.12762
1136.26.2.128/2636.26.2.129 to 36.26.2.19036.26.2.19162
1236.26.2.192/2636.26.2.193 to 36.26.2.25436.26.2.25562
1336.26.3.0/2636.26.3.1 to 36.26.3.6236.26.3.6362
1436.26.3.64/2636.26.3.65 to 36.26.3.12636.26.3.12762
1536.26.3.128/2636.26.3.129 to 36.26.3.19036.26.3.19162
1636.26.3.192/2636.26.3.193 to 36.26.3.25436.26.3.25562
1736.26.4.0/2636.26.4.1 to 36.26.4.6236.26.4.6362
1836.26.4.64/2636.26.4.65 to 36.26.4.12636.26.4.12762
1936.26.4.128/2636.26.4.129 to 36.26.4.19036.26.4.19162
2036.26.4.192/2636.26.4.193 to 36.26.4.25436.26.4.25562
2136.26.5.0/2636.26.5.1 to 36.26.5.6236.26.5.6362
2236.26.5.64/2636.26.5.65 to 36.26.5.12636.26.5.12762
2336.26.5.128/2636.26.5.129 to 36.26.5.19036.26.5.19162
2436.26.5.192/2636.26.5.193 to 36.26.5.25436.26.5.25562
2536.26.6.0/2636.26.6.1 to 36.26.6.6236.26.6.6362
2636.26.6.64/2636.26.6.65 to 36.26.6.12636.26.6.12762
2736.26.6.128/2636.26.6.129 to 36.26.6.19036.26.6.19162
2836.26.6.192/2636.26.6.193 to 36.26.6.25436.26.6.25562
2936.26.7.0/2636.26.7.1 to 36.26.7.6236.26.7.6362
3036.26.7.64/2636.26.7.65 to 36.26.7.12636.26.7.12762
3136.26.7.128/2636.26.7.129 to 36.26.7.19036.26.7.19162
3236.26.7.192/2636.26.7.193 to 36.26.7.25436.26.7.25562
3336.26.8.0/2636.26.8.1 to 36.26.8.6236.26.8.6362
3436.26.8.64/2636.26.8.65 to 36.26.8.12636.26.8.12762
3536.26.8.128/2636.26.8.129 to 36.26.8.19036.26.8.19162
3636.26.8.192/2636.26.8.193 to 36.26.8.25436.26.8.25562
3736.26.9.0/2636.26.9.1 to 36.26.9.6236.26.9.6362
3836.26.9.64/2636.26.9.65 to 36.26.9.12636.26.9.12762
3936.26.9.128/2636.26.9.129 to 36.26.9.19036.26.9.19162
4036.26.9.192/2636.26.9.193 to 36.26.9.25436.26.9.25562
4136.26.10.0/2636.26.10.1 to 36.26.10.6236.26.10.6362
4236.26.10.64/2636.26.10.65 to 36.26.10.12636.26.10.12762
4336.26.10.128/2636.26.10.129 to 36.26.10.19036.26.10.19162
4436.26.10.192/2636.26.10.193 to 36.26.10.25436.26.10.25562
4536.26.11.0/2636.26.11.1 to 36.26.11.6236.26.11.6362
4636.26.11.64/2636.26.11.65 to 36.26.11.12636.26.11.12762
4736.26.11.128/2636.26.11.129 to 36.26.11.19036.26.11.19162
4836.26.11.192/2636.26.11.193 to 36.26.11.25436.26.11.25562
4936.26.12.0/2636.26.12.1 to 36.26.12.6236.26.12.6362
5036.26.12.64/2636.26.12.65 to 36.26.12.12636.26.12.12762
5136.26.12.128/2636.26.12.129 to 36.26.12.19036.26.12.19162
5236.26.12.192/2636.26.12.193 to 36.26.12.25436.26.12.25562
5336.26.13.0/2636.26.13.1 to 36.26.13.6236.26.13.6362
5436.26.13.64/2636.26.13.65 to 36.26.13.12636.26.13.12762
5536.26.13.128/2636.26.13.129 to 36.26.13.19036.26.13.19162
5636.26.13.192/2636.26.13.193 to 36.26.13.25436.26.13.25562
5736.26.14.0/2636.26.14.1 to 36.26.14.6236.26.14.6362
5836.26.14.64/2636.26.14.65 to 36.26.14.12636.26.14.12762
5936.26.14.128/2636.26.14.129 to 36.26.14.19036.26.14.19162
6036.26.14.192/2636.26.14.193 to 36.26.14.25436.26.14.25562
6136.26.15.0/2636.26.15.1 to 36.26.15.6236.26.15.6362
6236.26.15.64/2636.26.15.65 to 36.26.15.12636.26.15.12762
6336.26.15.128/2636.26.15.129 to 36.26.15.19036.26.15.19162
6436.26.15.192/2636.26.15.193 to 36.26.15.25436.26.15.25562
6536.26.16.0/2636.26.16.1 to 36.26.16.6236.26.16.6362
6636.26.16.64/2636.26.16.65 to 36.26.16.12636.26.16.12762
6736.26.16.128/2636.26.16.129 to 36.26.16.19036.26.16.19162
6836.26.16.192/2636.26.16.193 to 36.26.16.25436.26.16.25562
6936.26.17.0/2636.26.17.1 to 36.26.17.6236.26.17.6362
7036.26.17.64/2636.26.17.65 to 36.26.17.12636.26.17.12762
7136.26.17.128/2636.26.17.129 to 36.26.17.19036.26.17.19162
7236.26.17.192/2636.26.17.193 to 36.26.17.25436.26.17.25562
7336.26.18.0/2636.26.18.1 to 36.26.18.6236.26.18.6362
7436.26.18.64/2636.26.18.65 to 36.26.18.12636.26.18.12762
7536.26.18.128/2636.26.18.129 to 36.26.18.19036.26.18.19162
7636.26.18.192/2636.26.18.193 to 36.26.18.25436.26.18.25562
7736.26.19.0/2636.26.19.1 to 36.26.19.6236.26.19.6362
7836.26.19.64/2636.26.19.65 to 36.26.19.12636.26.19.12762
7936.26.19.128/2636.26.19.129 to 36.26.19.19036.26.19.19162
8036.26.19.192/2636.26.19.193 to 36.26.19.25436.26.19.25562
8136.26.20.0/2636.26.20.1 to 36.26.20.6236.26.20.6362
8236.26.20.64/2636.26.20.65 to 36.26.20.12636.26.20.12762
8336.26.20.128/2636.26.20.129 to 36.26.20.19036.26.20.19162
8436.26.20.192/2636.26.20.193 to 36.26.20.25436.26.20.25562
8536.26.21.0/2636.26.21.1 to 36.26.21.6236.26.21.6362
8636.26.21.64/2636.26.21.65 to 36.26.21.12636.26.21.12762
8736.26.21.128/2636.26.21.129 to 36.26.21.19036.26.21.19162
8836.26.21.192/2636.26.21.193 to 36.26.21.25436.26.21.25562
8936.26.22.0/2636.26.22.1 to 36.26.22.6236.26.22.6362
9036.26.22.64/2636.26.22.65 to 36.26.22.12636.26.22.12762
9136.26.22.128/2636.26.22.129 to 36.26.22.19036.26.22.19162
9236.26.22.192/2636.26.22.193 to 36.26.22.25436.26.22.25562
9336.26.23.0/2636.26.23.1 to 36.26.23.6236.26.23.6362
9436.26.23.64/2636.26.23.65 to 36.26.23.12636.26.23.12762
9536.26.23.128/2636.26.23.129 to 36.26.23.19036.26.23.19162
9636.26.23.192/2636.26.23.193 to 36.26.23.25436.26.23.25562
9736.26.24.0/2636.26.24.1 to 36.26.24.6236.26.24.6362
9836.26.24.64/2636.26.24.65 to 36.26.24.12636.26.24.12762
9936.26.24.128/2636.26.24.129 to 36.26.24.19036.26.24.19162
10036.26.24.192/2636.26.24.193 to 36.26.24.25436.26.24.25562
10136.26.25.0/2636.26.25.1 to 36.26.25.6236.26.25.6362
10236.26.25.64/2636.26.25.65 to 36.26.25.12636.26.25.12762
10336.26.25.128/2636.26.25.129 to 36.26.25.19036.26.25.19162
10436.26.25.192/2636.26.25.193 to 36.26.25.25436.26.25.25562
10536.26.26.0/2636.26.26.1 to 36.26.26.6236.26.26.6362
10636.26.26.64/2636.26.26.65 to 36.26.26.12636.26.26.12762
10736.26.26.128/2636.26.26.129 to 36.26.26.19036.26.26.19162
10836.26.26.192/2636.26.26.193 to 36.26.26.25436.26.26.25562
10936.26.27.0/2636.26.27.1 to 36.26.27.6236.26.27.6362
11036.26.27.64/2636.26.27.65 to 36.26.27.12636.26.27.12762
11136.26.27.128/2636.26.27.129 to 36.26.27.19036.26.27.19162
11236.26.27.192/2636.26.27.193 to 36.26.27.25436.26.27.25562
11336.26.28.0/2636.26.28.1 to 36.26.28.6236.26.28.6362
11436.26.28.64/2636.26.28.65 to 36.26.28.12636.26.28.12762
11536.26.28.128/2636.26.28.129 to 36.26.28.19036.26.28.19162
11636.26.28.192/2636.26.28.193 to 36.26.28.25436.26.28.25562
11736.26.29.0/2636.26.29.1 to 36.26.29.6236.26.29.6362
11836.26.29.64/2636.26.29.65 to 36.26.29.12636.26.29.12762
11936.26.29.128/2636.26.29.129 to 36.26.29.19036.26.29.19162
12036.26.29.192/2636.26.29.193 to 36.26.29.25436.26.29.25562
12136.26.30.0/2636.26.30.1 to 36.26.30.6236.26.30.6362
12236.26.30.64/2636.26.30.65 to 36.26.30.12636.26.30.12762
12336.26.30.128/2636.26.30.129 to 36.26.30.19036.26.30.19162
12436.26.30.192/2636.26.30.193 to 36.26.30.25436.26.30.25562
12536.26.31.0/2636.26.31.1 to 36.26.31.6236.26.31.6362
12636.26.31.64/2636.26.31.65 to 36.26.31.12636.26.31.12762
12736.26.31.128/2636.26.31.129 to 36.26.31.19036.26.31.19162
12836.26.31.192/2636.26.31.193 to 36.26.31.25436.26.31.25562
12936.26.32.0/2636.26.32.1 to 36.26.32.6236.26.32.6362
13036.26.32.64/2636.26.32.65 to 36.26.32.12636.26.32.12762
13136.26.32.128/2636.26.32.129 to 36.26.32.19036.26.32.19162
13236.26.32.192/2636.26.32.193 to 36.26.32.25436.26.32.25562
13336.26.33.0/2636.26.33.1 to 36.26.33.6236.26.33.6362
13436.26.33.64/2636.26.33.65 to 36.26.33.12636.26.33.12762
13536.26.33.128/2636.26.33.129 to 36.26.33.19036.26.33.19162
13636.26.33.192/2636.26.33.193 to 36.26.33.25436.26.33.25562
13736.26.34.0/2636.26.34.1 to 36.26.34.6236.26.34.6362
13836.26.34.64/2636.26.34.65 to 36.26.34.12636.26.34.12762
13936.26.34.128/2636.26.34.129 to 36.26.34.19036.26.34.19162
14036.26.34.192/2636.26.34.193 to 36.26.34.25436.26.34.25562
14136.26.35.0/2636.26.35.1 to 36.26.35.6236.26.35.6362
14236.26.35.64/2636.26.35.65 to 36.26.35.12636.26.35.12762
14336.26.35.128/2636.26.35.129 to 36.26.35.19036.26.35.19162
14436.26.35.192/2636.26.35.193 to 36.26.35.25436.26.35.25562
14536.26.36.0/2636.26.36.1 to 36.26.36.6236.26.36.6362
14636.26.36.64/2636.26.36.65 to 36.26.36.12636.26.36.12762
14736.26.36.128/2636.26.36.129 to 36.26.36.19036.26.36.19162
14836.26.36.192/2636.26.36.193 to 36.26.36.25436.26.36.25562
14936.26.37.0/2636.26.37.1 to 36.26.37.6236.26.37.6362
15036.26.37.64/2636.26.37.65 to 36.26.37.12636.26.37.12762
15136.26.37.128/2636.26.37.129 to 36.26.37.19036.26.37.19162
15236.26.37.192/2636.26.37.193 to 36.26.37.25436.26.37.25562
15336.26.38.0/2636.26.38.1 to 36.26.38.6236.26.38.6362
15436.26.38.64/2636.26.38.65 to 36.26.38.12636.26.38.12762
15536.26.38.128/2636.26.38.129 to 36.26.38.19036.26.38.19162
15636.26.38.192/2636.26.38.193 to 36.26.38.25436.26.38.25562
15736.26.39.0/2636.26.39.1 to 36.26.39.6236.26.39.6362
15836.26.39.64/2636.26.39.65 to 36.26.39.12636.26.39.12762
15936.26.39.128/2636.26.39.129 to 36.26.39.19036.26.39.19162
16036.26.39.192/2636.26.39.193 to 36.26.39.25436.26.39.25562
16136.26.40.0/2636.26.40.1 to 36.26.40.6236.26.40.6362
16236.26.40.64/2636.26.40.65 to 36.26.40.12636.26.40.12762
16336.26.40.128/2636.26.40.129 to 36.26.40.19036.26.40.19162
16436.26.40.192/2636.26.40.193 to 36.26.40.25436.26.40.25562
16536.26.41.0/2636.26.41.1 to 36.26.41.6236.26.41.6362
16636.26.41.64/2636.26.41.65 to 36.26.41.12636.26.41.12762
16736.26.41.128/2636.26.41.129 to 36.26.41.19036.26.41.19162
16836.26.41.192/2636.26.41.193 to 36.26.41.25436.26.41.25562
16936.26.42.0/2636.26.42.1 to 36.26.42.6236.26.42.6362
17036.26.42.64/2636.26.42.65 to 36.26.42.12636.26.42.12762
17136.26.42.128/2636.26.42.129 to 36.26.42.19036.26.42.19162
17236.26.42.192/2636.26.42.193 to 36.26.42.25436.26.42.25562
17336.26.43.0/2636.26.43.1 to 36.26.43.6236.26.43.6362
17436.26.43.64/2636.26.43.65 to 36.26.43.12636.26.43.12762
17536.26.43.128/2636.26.43.129 to 36.26.43.19036.26.43.19162
17636.26.43.192/2636.26.43.193 to 36.26.43.25436.26.43.25562
17736.26.44.0/2636.26.44.1 to 36.26.44.6236.26.44.6362
17836.26.44.64/2636.26.44.65 to 36.26.44.12636.26.44.12762
17936.26.44.128/2636.26.44.129 to 36.26.44.19036.26.44.19162
18036.26.44.192/2636.26.44.193 to 36.26.44.25436.26.44.25562
18136.26.45.0/2636.26.45.1 to 36.26.45.6236.26.45.6362
18236.26.45.64/2636.26.45.65 to 36.26.45.12636.26.45.12762
18336.26.45.128/2636.26.45.129 to 36.26.45.19036.26.45.19162
18436.26.45.192/2636.26.45.193 to 36.26.45.25436.26.45.25562
18536.26.46.0/2636.26.46.1 to 36.26.46.6236.26.46.6362
18636.26.46.64/2636.26.46.65 to 36.26.46.12636.26.46.12762
18736.26.46.128/2636.26.46.129 to 36.26.46.19036.26.46.19162
18836.26.46.192/2636.26.46.193 to 36.26.46.25436.26.46.25562
18936.26.47.0/2636.26.47.1 to 36.26.47.6236.26.47.6362
19036.26.47.64/2636.26.47.65 to 36.26.47.12636.26.47.12762
19136.26.47.128/2636.26.47.129 to 36.26.47.19036.26.47.19162
19236.26.47.192/2636.26.47.193 to 36.26.47.25436.26.47.25562
19336.26.48.0/2636.26.48.1 to 36.26.48.6236.26.48.6362
19436.26.48.64/2636.26.48.65 to 36.26.48.12636.26.48.12762
19536.26.48.128/2636.26.48.129 to 36.26.48.19036.26.48.19162
19636.26.48.192/2636.26.48.193 to 36.26.48.25436.26.48.25562
19736.26.49.0/2636.26.49.1 to 36.26.49.6236.26.49.6362
19836.26.49.64/2636.26.49.65 to 36.26.49.12636.26.49.12762
19936.26.49.128/2636.26.49.129 to 36.26.49.19036.26.49.19162
20036.26.49.192/2636.26.49.193 to 36.26.49.25436.26.49.25562
20136.26.50.0/2636.26.50.1 to 36.26.50.6236.26.50.6362
20236.26.50.64/2636.26.50.65 to 36.26.50.12636.26.50.12762
20336.26.50.128/2636.26.50.129 to 36.26.50.19036.26.50.19162
20436.26.50.192/2636.26.50.193 to 36.26.50.25436.26.50.25562
20536.26.51.0/2636.26.51.1 to 36.26.51.6236.26.51.6362
20636.26.51.64/2636.26.51.65 to 36.26.51.12636.26.51.12762
20736.26.51.128/2636.26.51.129 to 36.26.51.19036.26.51.19162
20836.26.51.192/2636.26.51.193 to 36.26.51.25436.26.51.25562
20936.26.52.0/2636.26.52.1 to 36.26.52.6236.26.52.6362
21036.26.52.64/2636.26.52.65 to 36.26.52.12636.26.52.12762
21136.26.52.128/2636.26.52.129 to 36.26.52.19036.26.52.19162
21236.26.52.192/2636.26.52.193 to 36.26.52.25436.26.52.25562
21336.26.53.0/2636.26.53.1 to 36.26.53.6236.26.53.6362
21436.26.53.64/2636.26.53.65 to 36.26.53.12636.26.53.12762
21536.26.53.128/2636.26.53.129 to 36.26.53.19036.26.53.19162
21636.26.53.192/2636.26.53.193 to 36.26.53.25436.26.53.25562
21736.26.54.0/2636.26.54.1 to 36.26.54.6236.26.54.6362
21836.26.54.64/2636.26.54.65 to 36.26.54.12636.26.54.12762
21936.26.54.128/2636.26.54.129 to 36.26.54.19036.26.54.19162
22036.26.54.192/2636.26.54.193 to 36.26.54.25436.26.54.25562
22136.26.55.0/2636.26.55.1 to 36.26.55.6236.26.55.6362
22236.26.55.64/2636.26.55.65 to 36.26.55.12636.26.55.12762
22336.26.55.128/2636.26.55.129 to 36.26.55.19036.26.55.19162
22436.26.55.192/2636.26.55.193 to 36.26.55.25436.26.55.25562
22536.26.56.0/2636.26.56.1 to 36.26.56.6236.26.56.6362
22636.26.56.64/2636.26.56.65 to 36.26.56.12636.26.56.12762
22736.26.56.128/2636.26.56.129 to 36.26.56.19036.26.56.19162
22836.26.56.192/2636.26.56.193 to 36.26.56.25436.26.56.25562
22936.26.57.0/2636.26.57.1 to 36.26.57.6236.26.57.6362
23036.26.57.64/2636.26.57.65 to 36.26.57.12636.26.57.12762
23136.26.57.128/2636.26.57.129 to 36.26.57.19036.26.57.19162
23236.26.57.192/2636.26.57.193 to 36.26.57.25436.26.57.25562
23336.26.58.0/2636.26.58.1 to 36.26.58.6236.26.58.6362
23436.26.58.64/2636.26.58.65 to 36.26.58.12636.26.58.12762
23536.26.58.128/2636.26.58.129 to 36.26.58.19036.26.58.19162
23636.26.58.192/2636.26.58.193 to 36.26.58.25436.26.58.25562
23736.26.59.0/2636.26.59.1 to 36.26.59.6236.26.59.6362
23836.26.59.64/2636.26.59.65 to 36.26.59.12636.26.59.12762
23936.26.59.128/2636.26.59.129 to 36.26.59.19036.26.59.19162
24036.26.59.192/2636.26.59.193 to 36.26.59.25436.26.59.25562
24136.26.60.0/2636.26.60.1 to 36.26.60.6236.26.60.6362
24236.26.60.64/2636.26.60.65 to 36.26.60.12636.26.60.12762
24336.26.60.128/2636.26.60.129 to 36.26.60.19036.26.60.19162
24436.26.60.192/2636.26.60.193 to 36.26.60.25436.26.60.25562
24536.26.61.0/2636.26.61.1 to 36.26.61.6236.26.61.6362
24636.26.61.64/2636.26.61.65 to 36.26.61.12636.26.61.12762
24736.26.61.128/2636.26.61.129 to 36.26.61.19036.26.61.19162
24836.26.61.192/2636.26.61.193 to 36.26.61.25436.26.61.25562
24936.26.62.0/2636.26.62.1 to 36.26.62.6236.26.62.6362
25036.26.62.64/2636.26.62.65 to 36.26.62.12636.26.62.12762
25136.26.62.128/2636.26.62.129 to 36.26.62.19036.26.62.19162
25236.26.62.192/2636.26.62.193 to 36.26.62.25436.26.62.25562
25336.26.63.0/2636.26.63.1 to 36.26.63.6236.26.63.6362
25436.26.63.64/2636.26.63.65 to 36.26.63.12636.26.63.12762
25536.26.63.128/2636.26.63.129 to 36.26.63.19036.26.63.19162
25636.26.63.192/2636.26.63.193 to 36.26.63.25436.26.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses